cs4 patch

  • 1
  • Question
  • Updated 1 year ago
I can't open the program, it says I need to choose the CS4_app but when I select the folder it says it can't install the patch to this file.
Chatted with someone who referred me to this forum as I'm using an old version of the program.
I need to deliver work tomorrow and need the program to run, please help!
Photo of Erendira Carrillo

Erendira Carrillo

  • 3 Posts
  • 0 Reply Likes
  • anxious

Posted 1 year ago

  • 1
Photo of David Converse

David Converse

  • 939 Posts
  • 275 Reply Likes
What happens when you try to launch Photoshop? And what operating system do you use?
Photo of Erendira Carrillo

Erendira Carrillo

  • 3 Posts
  • 0 Reply Likes
I have a mac running MacOS High Sierra 10.13.6
when I try to open it it immediately prompts the option to choose the CS4_app folder to patch...
Photo of David Converse

David Converse

  • 939 Posts
  • 275 Reply Likes
You are not opening PHOTOSHOP. Do you have Photoshop installed?

And CS4 is really old and no longer supported, you probably will have problems installing and running it.
Photo of Erendira Carrillo

Erendira Carrillo

  • 3 Posts
  • 0 Reply Likes
I do have photoshop but I get there immediately, does this mean I have to buy the program again?
Photo of David Converse

David Converse

  • 939 Posts
  • 275 Reply Likes
Please post a screenshot of what you are doing.